Skip to main content
GET
/
schedule
/
v1
/
shifts
List Company Shifts
curl --request GET \
  --url https://api-{region}.sesametime.com/schedule/v1/shifts \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "abbreviation": "<string>",
      "color": "<string>",
      "shiftRanges": [
        {
          "startTime": "08:00",
          "endTime": "14:00",
          "order": 123
        }
      ],
      "isOnCall": true,
      "isFullDay": true,
      "onCallType": "<string>",
      "countPlannedTime": true,
      "archived": true,
      "createdAt": "2020-01-01T10:00:00+01:00",
      "updatedAt": "2020-01-01T10:00:00+01:00"
    }
  ],
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Query Parameters

name
string

Filter by name (contains)

archived
boolean

Filter by archived status

isCustom
boolean

Filter by custom shift

isOnCall
boolean

Filter by on-call shift

page
integer
default:1

Request a specific page

limit
integer
default:50

Items per page

Response

200 - application/json

Array of Objects

data
object[]
meta
object